%define name	customgsiauthzinterface
%define release	3
%define version 0.2

BuildRoot:	%{buildroot}
Name:		%{name}
Release:	%{release}
Version:	%{version}
Summary:	ESGF Custom GSI Authz Interface

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		%{name}-%{version}.tgz

Requires:	globus-common >= 14

BuildRequires: epel-release
BuildRequires: gcc gcc-c++ bison flex rpm-build openssl-devel libuuid-devel xmlsec1-devel postgresql-devel libmhash-devel pam-devel
BuildRequires: globus-gridftp-server-devel globus-gridmap-callout-error-devel


%description
The Earth System Grid Federation (ESGF) is an international data distribution portal. 

The %{name} package contains:
ESGF Custom GSI Authz Interface

%prep

%setup -q -n %{name}-%{version}

%configure --prefix=$RPM_BUILD_ROOT/usr \
    --libdir=$RPM_BUILD_ROOT/usr/lib64 \

make

%install
rm -rf $RPM_BUILD_ROOT
make install
rm -rf $RPM_BUILD_ROOT/usr/lib64/*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/lib64/libglobus_gridftp_server_acl_customgsiauthzinterface.so
/usr/lib64/libglobus_gridftp_server_acl_customgsiauthzinterface.so.0
/usr/lib64/libglobus_gridftp_server_acl_customgsiauthzinterface.so.0.0.2
/usr/share/doc/customgsiauthzinterface/GLOBUS_LICENSE
%docdir /usr/share/doc

%changelog
* Sun Dec  8 2019 root <root@alan-builder.novalocal> - 0.2-3
- add dependencies in BuildRequires
- remove the epstopdf-2.9.5gw
- remove PKG_CONFIG_PATH pointing to $HOME


